<?php

// get the variables passed from the form if submitted
$action = $_POST['action'];

if ($action) {

	$site_name = $_POST['site_name'];
	$description = $_POST['description'];
	$root_url = $_POST['root_url'];
	$folder_path = $_POST['folder_path'];
	$tpp = $_POST['tpp'];
	$pppp = $_POST['pppp'];
	$analytics = $_POST['analytics'];
	$rapp = $_POST['rapp'];
	$uf = $_POST['uf'];
	$new_password = $_POST['new_password'];
	$confirm_password = $_POST['confirm_password'];
	$item_sub_folder = $_POST['item_sub_folder'];
	
	// convert the title description to htmlentities if needed
	$title = htmlentities($title);
	$description = htmlentities($description);
	
	// escape input string for sql
	$site_name = mysql_real_escape_string($site_name);
	$description = mysql_real_escape_string($description);
	
	// validate the required fields have been filled in
	if (empty($site_name) OR empty($root_url) OR empty($item_sub_folder)) {
	
		$global_func->msg($word[10], '');		
	
	}
	
	// if the folder path and item sub directory are the same, the htaccess will not be happy!
	// validate the required fields have been filled in
	if ($folder_path == $item_sub_folder) {
	
		$global_func->msg($word[168], '');		
	
	}
	
	// if the root URL doesn't contain a HTTP within the string, output an error
	// check the string
	$pos = strpos($root_url,'http');

	if($pos === false) {
	
	 // out put an error
	$global_func->msg($word[105], '');
	
	}
	
	// validate the password
	if ($new_password != $confirm_password) {
		$global_func->msg($word[95], '');
	}
	
	// only update the password if there was one specified
	if ($new_password) {
		
		$new_password = md5($new_password);
		
		$db->query("UPDATE ".$prefix."settings SET site_name='$site_name', description='$description', root_url='$root_url', folder_path='$folder_path', item_sub_folder='$item_sub_folder', user_feeds='$uf', tpp='$tpp', pppp='$pppp',  analytics='$analytics', rapp='$rapp', acp_password='$new_password' WHERE id='1'");
		
	}
	
	else {
		
		$db->query("UPDATE ".$prefix."settings SET site_name='$site_name', description='$description', root_url='$root_url', folder_path='$folder_path', item_sub_folder='$item_sub_folder', user_feeds='$uf', tpp='$tpp', pppp='$pppp', analytics='$analytics', rapp='$rapp' WHERE id='1'");
		
	}

	
	$global_func->msg($word[7], 'index.php?a=settings');
	
}

else {
	
	// get the custom settings from the database
	$get_settings = $db->query("SELECT * FROM ".$prefix."settings WHERE id='1'");
	$settings = $db->fetch_array($get_settings);
	
	// format the option boxes
	$tpp_select_box = $global_func->FormatOptionBox(range(1,100), $settings[tpp], $default_selected);
	$pppp_select_box = $global_func->FormatOptionBox(range(1,100), $settings[pppp], $default_selected);
	$rapp_select_box = $global_func->FormatOptionBox(range(1,100), $settings[rapp], $default_selected);
	$uf = $global_func->FormatOptionBox(range(1,50), $settings[user_feeds], $default_selected);

	// get the length of the current description
	$description_length = 155 - strlen($settings[description]);

	// generate the header
	include "templates/header.html";
	
	$breadcrumb = "<a href=\"index.php\">$word[48]</a> -> $word[17]";
	
	// include the login template
	include "templates/settings.html";
	
}


?>