<?php

// define the variables
$action = $_POST['action'];

if (empty($action)) {

	// check get
	$action = $_GET['action'];
	
}

if ($action == "add") {

	// get the variables
	$title = $_POST['title'];
	$minutes = $_POST['minutes'];
	$scale = $_POST['scale'];
	
	// escape input strings
	$title  = mysql_real_escape_string($title);
	
	// validation
	if (empty($title)) {
	
		// produce the error message
		$global_func->msg($word[10], '');
	
	}
	
	// see if there are any timescales already named this
	$get_timescales = $db->query("SELECT * FROM ".$prefix."newsfeed_timescales WHERE title='$title'");
	$timescales = $db->fetch_array($get_timescales);
	
	if ($timescales) {
	
		$global_func->msg($word[63], '');
		
	}
	
	if ($scale == "minutes") {
	
		// calculate the actual timescale
		$newtime = $minutes * 60;
	
	}
	
	elseif ($scale == "hours") {
	
		$newtime = $minutes * 3600;
		
	}
	
	elseif ($scale == "days") {
		
		$newtime = $minutes * 86400;
	
	}

	// see if there are any timescales already named this
	$get_scales = $db->query("SELECT * FROM ".$prefix."newsfeed_timescales WHERE timescale='$newtime'");
	$tscales = $db->fetch_array($get_scales);
	
	if ($tscales) {
	
		$global_func->msg($word[64], '');
	
	}

	else {
	
		// insert the new timescale into the database and output a message
		$db->query("INSERT INTO ".$prefix."newsfeed_timescales VALUES ('', '$minutes', '$scale', '$newtime', '$title')");
		
		$counter='0';
		
		// update the cache
		$get_timescales = $db->query("SELECT * FROM ".$prefix."newsfeed_timescales ORDER BY timescale ASC");
		while ($timescales = $db->fetch_array($get_timescales)) {
		
			$scales[$counter][title] = $timescales[title];
			$scales[$counter][timescale] = $timescales[timescale];
			$scales[$counter][output] = "<li class=\"timescale\">$timescales[title]</li>";
		
			$counter++;
		
		}
		
		// serialise the scales array
		$scales = base64_encode(serialize($scales));
		
		// update the cache row
		$db->query("UPDATE ".$prefix."cache SET content='$scales' WHERE area='timescales'");
	
		// output a success message
		$global_func->msg($word[65], 'index.php?a=timescales');
	
	}	

}

elseif($action == "edit") {

	// get the id
	$id = $_GET['id'];

	// get the current timescale
	$get_timescales = $db->query("SELECT * FROM ".$prefix."newsfeed_timescales WHERE id='$id'");
	$timescales = $db->fetch_array($get_timescales);
	
	//format option box minutes
	$minutes = $global_func->FormatOptionBox(range(1, 60), $timescales[value], '');
	
	// format the main page option box scale
	$scale = $global_func->FormatOptionBox(array("minutes", "hours", "days"), $timescales[type], '');
	
	$breadcrumb = "<a href=\"index.php\">$word[48]</a> -> <a href=\"index.php?a=timescales\">$word[61]</a> -> $timescales[title]";
	
	include "templates/header.html";
	include "templates/left_nav.html";
	include "templates/edit_timescale.html";

}

elseif ($action == "process_edit") {

	// get the variables
	$id = $_GET['id'];
	$title = $_POST['title'];
	$minutes = $_POST['minutes'];
	$scale = $_POST['scale'];
	
	// escape input strings
	$title  = mysql_real_escape_string($title);
	
	// validation
	if (empty($title)) {
	
		// produce the error message
		$global_func->msg($word[10], '');
	
	}
	
	// see if there are any timescales already named this
	$get_timescales = $db->query("SELECT * FROM ".$prefix."newsfeed_timescales WHERE title='$title' AND id!='$id'");
	$timescales = $db->fetch_array($get_timescales);
		
	if ($timescales) {
	
		$global_func->msg($word[63], '');
		
	}
	
	if ($scale == "minutes") {
	
		// calculate the actual timescale
		$newtime = $minutes * 60;
	
	}
	
	elseif ($scale == "hours") {
	
		$newtime = $minutes * 3600;
		
	}
	
	elseif ($scale == "days") {
		
		$newtime = $minutes * 86400;
	
	}

	// see if there are any timescales already named this
	$get_scales = $db->query("SELECT * FROM ".$prefix."newsfeed_timescales WHERE timescale='$newtime' AND id!='$id'");
	$tscales = $db->fetch_array($get_scales);
	
	if ($tscales) {
	
		$global_func->msg($word[64], '');
	
	}

	else {
	
		// update the new timescale into the database and output a message
		$db->query("UPDATE ".$prefix."newsfeed_timescales SET value='$minutes', type='$scale', timescale='$newtime', title='$title' WHERE id='$id'");
		
		$counter='0';
		
		// update the cache
		$get_timescales = $db->query("SELECT * FROM ".$prefix."newsfeed_timescales ORDER BY timescale ASC");
		while ($timescales = $db->fetch_array($get_timescales)) {
		
			$scales[$counter][title] = $timescales[title];
			$scales[$counter][timescale] = $timescales[timescale];
			$scales[$counter][output] = "<li class=\"timescale\">$timescales[title]</li>";
		
			$counter++;
		
		}
		
		// serialise the scales array
		$scales = base64_encode(serialize($scales));
		
		// update the cache row
		$db->query("UPDATE ".$prefix."cache SET content='$scales' WHERE area='timescales'");
	
		// output a success message
		$global_func->msg($word[65], 'index.php?a=timescales');
	
	}		

}

elseif ($action == "delete") {

	// get the id
	$id = $_GET['id'];
	
	// first check whether this action has been confirmed
	$confirm = $_GET['confirm'];
	
	if (empty($confirm)) {
	
		// send off to the confirm box
		$global_func->msg($word[68], '', 'confirm', "index.php?a=timescales&id=$id&action=delete&confirm=yes", "index.php?a=timescales&action=edit&id=$id");	
	
	}
	
	// check whether there are any timescales left
	// get the current timescales
	$get_timescales = $db->query("SELECT * FROM ".$prefix."newsfeed_timescales");
	$timescales = $db->fetch_array($get_timescales);
	
	if (empty($timescales)) {
	
		// output an error as you have to have atleast one timescale
		$global_func->msg($word[69]);
	
	}

	// else we can go ahead and delete the category yar
	$delete_cat = $db->query("DELETE FROM ".$prefix."newsfeed_timescales WHERE id=$id");
	
	$counter='0';
	
	// update the cache
	$get_timescales = $db->query("SELECT * FROM ".$prefix."newsfeed_timescales ORDER BY timescale ASC");
	while ($timescales = $db->fetch_array($get_timescales)) {
	
		$scales[$counter][title] = $timescales[title];
		$scales[$counter][timescale] = $timescales[timescale];
		$scales[$counter][output] = "<li class=\"timescale\">$timescales[title]</li>";
	
		$counter++;
	
	}
	
	// serialise the scales array
	$scales = base64_encode(serialize($scales));
	
	// update the cache row
	$db->query("UPDATE ".$prefix."cache SET content='$scales' WHERE area='timescales'");	
	
	// provide the confirmation msg
	$global_func->msg($word[67], 'index.php?a=timescales');

}

else {

	//format option box minutes
	$minutes = $global_func->FormatOptionBox(range(1, 60), '', '');
	
	// format the main page option box scale
	$scale = $global_func->FormatOptionBox(array("minutes", "hours", "days"), '', '');
	
	// get the current timescales
	$get_timescales = $db->query("SELECT * FROM ".$prefix."newsfeed_timescales ORDER BY timescale");
	while ($timescales = $db->fetch_array($get_timescales)) {
	
		$timescales_list .= "<li><a href=\"index.php?a=timescales&action=edit&id=$timescales[id]\">$timescales[title]</a></li>";
	
	}
	
	$breadcrumb = "<a href=\"index.php\">$word[48]</a> -> $word[61]";
	
	include "templates/header.html";
	include "templates/timescales.html";

}

?>