<?php

error_reporting(0);

// get the login details for the database

include "../settings/credentials.php";

// include the correct database class file

include "../database/$database_type.php";

$db = new database();

// connect to the database

$db->connect($hostname, $username, $password);

// select the database

$db->select_db($database_name);

// sort out php magic quotes
// sort out php magic quotes
if (get_magic_quotes_gpc()) {
    $process = array(&$_GET, &$_POST, &$_COOKIE, &$_REQUEST);
    while (list($key, $val) = each($process)) {
        foreach ($val as $k => $v) {
            unset($process[$key][$k]);
            if (is_array($v)) {
                $process[$key][stripslashes($k)] = $v;
                $process[] = &$process[$key][stripslashes($k)];
            } else {
                $process[$key][stripslashes($k)] = stripslashes($v);
            }
        }
    }
    unset($process);
}

// include the classes we need
include "classes/user.php";

include "classes/global_func.php";

$global_func = new global_func();

// get the custom settings from the database
$get_settings = $db->query("SELECT * FROM ".$prefix."settings WHERE id='1'");
$settings = $db->fetch_array($get_settings);

$root = $settings[root_url];
$folder = $settings[folder_path];

// if there's a folder, add a slash and a folder, else leave slash

if ($folder) {

	$script_url = "$root". "/" . "$folder";

}

else {
	
	$script_url = "$root" . "$folder";
	
}

// include the language file
include "../languages/english.php";

// get the current time
$time = time();

// get the users specified location sent from the URL
$location = $_GET[a];

// start checking whether the user has access to this area

$login = new login();

// get the users cookie, if they have any
$user = $login->retrieve();

// if there's no cookie for the user, send them to the login page

if (!$user) {

	// send the user to the login page
	include "includes/login.php";

	// exit the script as you can't pass this point if you're not logged in
	exit();

}

// the below array is a breakdown of the files that we'll need
$locations = array(
		 "" => "main.php",
		"logout" => "login.php",
		"settings" => "settings.php",
		"sources" => "sources.php",
		"categories" => "categories.php",
		"timescales" => "timescales.php", 
		"articles" => "articles.php",
);

include "includes/$locations[$location]";

?>
