<?php

class categories {

	function get_root_categories() {
	
		global $db, $prefix; 
		
		$get_root_cats = $db->query("SELECT * FROM ".$prefix."categories WHERE parent_id='0'");
		
		return $get_root_cats;
	
	}

	function get_current_category($id) {
	
		global $db, $prefix;
	
		$get_category = $db->query("SELECT * FROM ".$prefix."categories WHERE path = '$id'");
		
		// return the list of categories
		return $get_category;
	
	} // end of function

	function get_child_categories($parent_id) {
	
		global $db, $prefix;
	
		if (!empty($parent_id)) {
		
			$get_categories = $db->query("SELECT * FROM ".$prefix."categories WHERE parent_id = '$parent_id'");
			
		}
	
	// return the list of categories
	return $get_categories;
	
	} // end of get_categories function
	
	function structure_categories($category_values) {
	
		global $db, $prefix;
	
		while ($categories = $db->fetch_array($category_values)) {
		
			// encode the category name for the URL as this wil be our category unique identifyer
			$cat_name = urlencode($categories[name]);
		
			$cat_list .= "<li><a href=\"index.php?id=$cat_name\">$categories[name]</a></li>";
		
		} // end of while
	
		// return the list of structured categories
		return $cat_list;
	
	} // end of functuon structure categories

	function create_category_breadcrumb($current_category_name, $parent_ids) {
	
		global $db, $settings, $script_url, $prefix;
		
		if ($parent_ids) {
		
			// first off lets get the names of all the parent fields
			$get_parents = $db->query("SELECT * FROM ".$prefix."categories WHERE id IN ($parent_ids)");
			
			while ($categories = $db->fetch_array($get_parents)) {
			
				$breadcrumbs[on_page] .= "<li> > <a href=\"$script_url/$categories[path]\">$categories[name]</a></li>";
				$title_text[] = "$categories[name]";
			
			} // end of while
			
		}
		
		// if we're not on the homepage there should be a current category name
		if ($current_category_name) {
			
			// add the current category to the end of the breadcrumb
			$breadcrumbs[on_page] .= "<li> > $current_category_name</li>";
			
			// lets create the breadcrumb for the title tag too
			$breadcrumbs[title_text] .= "$current_category_name | ";
		
		}
		
		// to format the title tag text we need to reverse the array as they are wronly ordered
		$title_text = array_reverse($title_text);
		
		// format the title text
		foreach ($title_text as $text) {
		
			$breadcrumbs[title_text] .= "$text | ";
		
		}
		
		// add the homepage to the title breadcrumb
		$breadcrumbs[title_text] .= "$settings[site_name]";
		
		return $breadcrumbs;
	
	} // end of function create_category_breadcrumb

}

?>