<?php

class xml{
	
	function convert_to ( $source, $target_encoding )
	    {
	    // detect the character encoding of the incoming file
	    $encoding = mb_detect_encoding( $source, "auto" );

	    // escape all of the question marks so we can remove artifacts from
	    // the unicode conversion process
	    $target = str_replace( "?", "[question_mark]", $source );

	    // convert the string to the target encoding
	    $target = mb_convert_encoding( $target, $target_encoding, $encoding);

	    // remove any question marks that have been introduced because of illegal characters
	    $target = str_replace( "?", "", $target );

	    // replace the token string "[question_mark]" with the symbol "?"
	    $target = str_replace( "[question_mark]", "?", $target );

	    return $target;
	   }
	
	function processTwitter($keywords) {
		
		global $db, $time;
		
		// create the feed based on the keywords passed through
		
		// crawl the feed and create string for output (pic, username, tweet) as string
		
		foreach ($library->entry as $entry) {

			$title = htmlentities($entry->title);
			$title = addslashes($title);

			} // end of item foreach
			
		// pass back the completed string

		return $string;
	}
	
	function processRSS($library, $source) {
		
		global $db, $time, $prefix;

		foreach ($library->channel as $channel) {
		
			foreach ($channel->item as $item) {
				
				$title = $this->convert_to($item->title, 'UTF-8');
				$description = $this->convert_to($description, 'UTF-8');
				
				// first convert any already encoded html back so we can strip them
				$description = html_entity_decode($item->description);
				
				// strip all html
				$description = strip_tags($description);
			
				// format the data to make sure it's all fine
				$title = htmlspecialchars($title, ENT_QUOTES);
				$description = htmlspecialchars($description, ENT_QUOTES);
				
				$link = urlencode($item->link);	

				// insert data into database
				$update = $db->query("INSERT IGNORE INTO ".$prefix."articles VALUES('', '$source[id]', '$title', '$description', '$link', '$time', '$source[type]', '0')");

				//find out if any rows were actually updated (not duplicates)
				$get_affected_rows = $db->affected_rows($update);	

				if ($get_affected_rows) { $feed_last_updated = $time; }

			} // end of item foreach

		} // end of channel foreach
		
		return $feed_last_updated;
		
	}
	
	function get_feed($establish_type) {
		
		switch($type) {
			case '': 
				$feed = $this->get_rss();	
			break;
		
			case '':
				$feed = $this->get_mediaRSS();
			break;
		}
		
		return $feed;
		
	}
	
	function get_rss($contents) {

		$feed[title] = $library->channel->title;
		$feed[description] = $library->channel->description;

		foreach ($library->channel as $channel) {

			foreach ($channel->item as $item) {

				$feed->item->$item;

			}

		}
		
		return $feed;
		
	}
	
	function get_mediaRSS($contents) {

		
		
	}
	
}

?>