<?php

// start a new user session
session_start();

$_SESSION['lastpage'] = $_SERVER['REQUEST_URI'];

require "classes/class_articles.php";

$articles = new articles();

// get the name of the article from the URL and decode it
$current_article = urldecode(urldecode($id));

$current_article = addslashes($current_article);

// get the current article
$article = $articles->get_single_article($current_article);

// if can't find an ID, 301 back to the homepage to save the link juice
if (empty($article[id])) {
	// output 301 redirect
	Header("HTTP/1.1 301 Moved Permanently");
	Header("Location: $script_url");
}

// update the articles view count
$articles->update_viewcount($article[id]);

// get items like this one
$related_articles = $articles->get_articles($article[title], '', $settings[rapp], '', 'related');

// include the article template header and footer too

$title = $article[title] . " | $settings[site_name]";
$url = urldecode($article[url]);

// if there's a description, add '...' to the end
if ($article[description]) {
	$article[description] = "$article[description]...";
}

// format whether this is no follow or do follow
if ($article[link_type] != "Do-Follow") {
	$following = "nofollow";
}

// create the breadcrumb
$breadcrumb = "> <li>$article[title]</li>";

$is_article = true;

$build_template->create_header($title, $article[description], '', $breadcrumb);

// get the popular posts
$popular_posts = $articles->popular_posts('', '', $settings[pppp]);

// get any comments for this article
$get_comments = $db->query("SELECT *, c.id AS id FROM ".$prefix."comments c LEFT JOIN ".$prefix."users u ON u.id=c.user_id WHERE article_id = $article[id] ORDER BY timestamp ASC");
while ($comments = $db->fetch_array($get_comments)) {
	
	$comments[timestamp] = $articles->relative_date($comments[timestamp]);
			
	// create an array of the sources needed
	$comments_string .= "<li><a name=\"$comments[id]\"></a>$comments[comment]<small><strong>$comments[username]</strong> - $comments[timestamp]</small></li>";
			
}

// if there are some comments, put ul tags around it
if ($comments_string) {
	$comments_string = "<ul id=\"comments\">$comments_string</ul>";
}

include "templates/$template/left_nav.html";
include "templates/$template/article.html";
include "templates/$template/sidebar.html";
include "templates/$template/footer.html";


?>