<?php


// start a new user session
session_start();

require "classes/user.php";

$user = new user();

// if not logged in, display an error 
if(!session_is_registered(username)){
 
	// output 301 redirect
	Header("HTTP/1.1 301 Moved Permanently");
	Header("Location: $script_url/login");

	exit();
    
}

// check whether comment is over the desired length, if so, give an error
if(strlen($_POST[comment]) > 1000) {
 
	// output error if so
	$build_template->error_msg($word[138], $description, $_SESSION['lastpage'], $duration);
 
}

// check whether the same comment has been posted within the last 2 minutes from the same user
$get_comments= $db->query("SELECT * FROM ".$prefix."comments WHERE article_id='$id' AND user_id='$_SESSION[user_id]' AND timestamp > $time - 60");
$oldcomments = $db->fetch_array($get_comments);

// output error if so
if ($oldcomments) {
	$build_template->error_msg($word[139], $description, $_SESSION['lastpage'], $duration);
}

// no errors now, so strip the comment tags of any harmful html
$_POST[comment] = strip_tags($_POST[comment]);

// trim it to remove whitespace
$_POST[comment] = trim($_POST[comment]);

// change the /nl formated from the textarea to line breaks
$_POST[comment] = nl2br($_POST[comment]);

// insert the new comment into the database
$add_comment = $db->query("INSERT INTO ".$prefix."comments VALUES('', '$id', '$_SESSION[user_id]', '$_POST[comment]', '$time')");

// get the last id so we know what anchor to direct the user back to for the comment
$textid = $db->mysql_insert_id();

//create the return url with appended anchor
$returnpage = "$_SESSION[lastpage]" . "#" ."$textid";

// update the articles comment count
$db->query("UPDATE ".$prefix."articles SET comments=comments+1 WHERE id=$id");

// redirect the user back to the article they came from with the article id as a hashtag
// allows redirection straight to the new article
$build_template->success_msg($word[140], $description, $returnpage, $duration);

?>