<?php

// output the header as XML

header("Content-Type: application/xml; charset=utf-8");

// get today's date for the sitemap
$today = date('Y-m-d');
	
$feed_output .= '<?xml version="1.0" encoding="UTF-8"?>
<urlset xmlns="http://www.sitemaps.org/schemas/sitemap/0.9"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://www.sitemaps.org/schemas/sitemap/0.9
			    http://www.sitemaps.org/schemas/sitemap/0.9/sitemap.xsd">';
                            
// first lets add the homepage in
$feed_output .= "<url>
                <loc>$script_url/</loc>
		<lastmod>$today</lastmod>
		<changefreq>always</changefreq>
		<priority>1</priority>
                </url>";
			
// get all the current categories for the sitemap and add to the output array
$get_categories = $db->query("SELECT * FROM ".$prefix."categories ORDER BY parent_id, orderby DESC, name DESC");
while ($categories = $db->fetch_array($get_categories)) {
 
    $feed_output .= "<url>
		<loc>$script_url/$categories[path]</loc>
		<lastmod>$today</lastmod>
		<changefreq>always</changefreq>
		<priority>0.8</priority>
                </url>";
    
}

$feed_output .= "</urlset>";
                
// output the feed
echo $feed_output;

?>