<?php

// start a new user session
session_start();

require "classes/user.php";

$user = new user();

if ($_POST['action'] == "process") {

    // send all parts of the form to the field entry function to check have a value
    $fields_filled_in = $user->fields_complete(array($_POST[username], $_POST[password]));
    
    // if the variable is true, there was an error unfortunately
    if ($fields_filled_in) {
        
        // send error msg that not all fields were filled in
        $build_template->error_msg($word[10], $description, $link, $duration);
        
    }
    
    // check the credentials
    $check = $user->check_credentials($_POST[username], md5($_POST[password]));
    
    // if wrong credentials, send an error message
    if (empty($check)) {
	
        // send error msg that not all fields were filled in
        $build_template->error_msg($word[57], $description, $link, $duration); 
	
    }
    
    // if correct crendentials, send the success message
    else {
	
	// store the username
	$username = $_POST[username];
	
	// encrypt the password
	$password = md5($password);
	
	$_SESSION['username'] = $username;
	$_SESSION['user_id'] = $check;
	$_SESSION['password'] = $password;
	
	$build_template->success_msg($word[127], $description, $script_url, $duration);
    
    }
    
    
}

elseif($_POST['action'] == "lostpass") {
	
    // find if the email address exists
    // select the email from the database
    $the_user = $user->check_email_exists($_POST['email']);
	
    //does it exist?
    if ($the_user) {
	
	// if yes, auto generate a password
	$randompassword = $user->generatePassword();
	echo $randompassword;
	
	// encrypt the password
	$encrypted_password = md5($randompassword);
	
	// update the users record with the updated password
	$db->query("UPDATE ".$prefix."users SET lost_password='$encrypted_password' WHERE id='$the_user[id]'");
	
	// form the lost password email
	// The message
	$message = "$word[148] $site_url/n $word[149]/n $word[150]: $the_user[username]/n $word[150]: $randompassword";
	
	// In case any of our lines are larger than 70 characters, we should use wordwrap()
	$message = wordwrap($message, 70);
	
	// send the email to the user with the new password
	mail($_POST['email'], $word[147], $message);
	
	// Send the success message
	$build_template->success_msg($word[152], $description, $script_url, $duration);
	    
    }
	
    else {
	
	// if not, send an error message saying no record of the email
        $build_template->error_msg($word[146], $description, $link, $duration); 
	
    }
	
}

else {
    
    // create the page title
    $title = $word[51];
    
    // create the breadcrumb
    $breadcrumb = "> $word[51]";

    $build_template->create_header($title, $article[description], '', $breadcrumb);
        
    include "templates/$template/login.html";
    include "templates/$template/footer.html";

}

?>