<?php

// define the variables
$action = $_POST['action'];

// if the posts empty, lets check the $_GET to see if there's a URL process for editing
if (empty($action)) { $action = $_GET['action']; }

if ($action == "add") {

	// define the variables
	$name = $_POST['name'];
	$site_url = $_POST['site_url'];
	$url = $_POST['url'];
	$feed_type = $_POST['feed_type'];
	
	// escape input strings
	$name = mysql_real_escape_string($name);
	$site_url = mysql_real_escape_string($site_url);
	$url  = mysql_real_escape_string($url);
	

	// if any of the values from the form are empty, output the error
	if (empty($name) OR empty($site_url) OR empty($url)) {
	
		$global_func->msg($word[10], '');
	
	}
	
	// if source doesn't already exist, add it
	// check if exists
	$get_source = $db->query("SELECT * FROM ".$prefix."sources WHERE name='$name' OR url='$url'");
	$check_source = $db->fetch_array($get_source);
	
	if ($check_source) {
	
		// out an error saying exists already
		$global_func->msg($word[9], '');
	
	}
	
	else {
	
		// get the favicon
		include "classes/favicons.php";
		
		$favicon = new favicon($site_url, 0);
		$fv = $favicon->get_output_data();
		
		if ($fv!=='') {
		
			$fv = $db->real_escape_string($fv);
		
		}
		
		// check if the favicon exists
		
		
		// insert new row
		$db->query("INSERT INTO ".$prefix."sources VALUES ('', '$feed_type', '$name', '$site_url', '$url', '', '', '', '', '$fv')");
		
		// output success msg
		$global_func->msg($word[8], 'index.php?a=sources');
		
	}

}

elseif($action == "delete") {

	// get the id of the source we're deleting
	$id = $_GET['id'];
	
	// first check whether this action has been confirmed
	$confirm = $_GET['confirm'];
	
	if (empty($confirm)) {
	
		// send off to the confirm box
		$global_func->msg($word[68], '', 'confirm', "index.php?a=sources&id=$id&action=delete&confirm=yes", "index.php?a=sources&action=edit&id=$id");	
	
	}
	
	// delete the actual source
	$delete_cat = $db->query("DELETE FROM ".$prefix."sources WHERE id=$id");
	
	// delete all source->category associations
	$delete_cat = $db->query("DELETE FROM ".$prefix."associations WHERE source_id=$id");
	
	// delete all entries from this source
	$delete_cat = $db->query("DELETE FROM ".$prefix."articles WHERE source_id=$id");
		
	// provide the confirmation msg
	$global_func->msg($word[60], 'index.php?a=sources');

}

elseif($action == "edit") {

	// get the source that is going through the process of editing
	
	// store the ID of the source in a variable from the URL
	$id = $_GET['id'];
		
	$get_source = $db->query("SELECT * FROM ".$prefix."sources WHERE id='$id'");
	$source = $db->fetch_array($get_source);
	
	//format option for link type 'no-follow' or 'do-follow'
	$link_type = $global_func->FormatOptionBox(array("1" => "No-Follow", "2" => "Do-Follow"), $source[link_type], '');

	//format feed type box
	$feed_type = $global_func->FormatOptionBox(array("1" => "$word[92]", "2" => "$word[90]"), $source[type], '');

	include "templates/header.html";
	include "templates/left_nav.html";
	
	$breadcrumb = "<a href=\"index.php\">$word[48]</a> -> <a href=\"index.php?a=sources\">$word[50]</a> -> $source[name]";
	
	include "templates/edit_source.html";

}

elseif($action == "process_edit") {

	// get the id from the URL of the source being edited
	$id = $_GET['id'];
	
	// get the variables being passed through from the form
	// define the variables
	$name = $_POST['name'];
	$site_url = $_POST['site_url'];
	$url = $_POST['url'];
	$link_type = $_POST['link_type'];
	$feed_type = $_POST['feed_type'];
	
	// escape input strings
	$name = mysql_real_escape_string($name);
	$site_url = mysql_real_escape_string($site_url);
	$url  = mysql_real_escape_string($url);
	
	// get the category associations
	$cats = $_POST['selected_cat'];

	// if any of the values from the form are empty, output the error
	if (empty($name) OR empty($site_url) OR empty($url)) {
	
		$global_func->msg($word[10], '');
	
	}
	
	// if source doesn't already exist, add it
	// check if exists
	$get_source = $db->query("SELECT * FROM ".$prefix."sources WHERE ((name='$name' OR url='$url') AND (id!='$id'))");
	$check_source = $db->fetch_array($get_source);
	
	if ($check_source) {
	
		// out an error saying exists already
		$global_func->msg($word[9], '');
	
	}
	
	else {
	
		// sort out the category associations
		// first off we'll delete all previous associations
		$db->query("DELETE FROM ".$prefix."associations WHERE source_id='$id'");

		// loop through the checkbox values and insert into the associations table
		for ($i=0; $i<count($cats); $i++){
		
			$db->query("INSERT INTO ".$prefix."associations VALUES ('', '$id', '$cats[$i]')");
		
		}

		// check to see whether a favicon file was uploaded
		if ($_FILES['userfile']['size'] > 0) {
			
			$filename = $_FILES['userfile']['tmp_name']; // store the saved temp file name 
			$fp = fopen($filename, 'r'); // open the file
			$content = fread($fp, filesize($filename)); // read the content from the file
			fclose($fp); // close the opened file
			
			// make the content safe to be entered into a mysql query
			$content = $db->real_escape_string($content);
			
			// update the fields with the favicon update too
			$db->query("UPDATE ".$prefix."sources SET name='$name', site_url='$site_url', url='$url', link_type='$link_type', favicon='$content' WHERE id='$id'");
			
		}
		
		else {

			// update the fields without a favicon update
			$db->query("UPDATE ".$prefix."sources SET name='$name', type='$feed_type', site_url='$site_url', url='$url', link_type='$link_type' WHERE id='$id'");
		
		}
		
		// output success msg
		$global_func->msg($word[11], 'index.php?a=sources');
	
	}

}

else {
	
	//format feed type box
	$feed_type = $global_func->FormatOptionBox(array("1" => "$word[92]", "2" => "$word[90]"), '', '');

	// get all of the current sources in alphabetical order
	$get_sources = $db->query("SELECT * FROM ".$prefix."sources");
	while ($sources = $db->fetch_array($get_sources)) {
	
		$current_sources .= "<li><a href=\"index.php?a=sources&action=edit&id=$sources[id]\">$sources[name]</a></li>";
	
	}
	
	include "templates/header.html";
	include "templates/left_nav.html";
	
	$breadcrumb = "<a href=\"index.php\">$word[48]</a> -> $word[50]";
	
	include "templates/sources.html";

}

?>