<?php

class templates {
	
	Function create_header($title, $meta_desc, $meta_keywords, $breadcrumb) {

		global $template, $settings, $script_url, $word, $location, $current_category;
		
		if (empty($title)) {
		
			$title = $settings[site_name];
		
		}
		
		if ($meta_desc) {
		
			$meta_desc = "<meta name=\"description\" content=\"$meta_desc\" />";
		
		}
		
		if ($meta_keywords) {
			
			$meta_keywords = "<meta name=\"keywords\" content=\"$meta_keywords\" />";
				
		}
		
		// if we're in a category or the homepage- show the RSS feed meta tag for auto discovery
		if ($current_category[path] OR empty($location)) {
			
			$rss_meta = "<link rel=\"alternate\" type=\"application/rss+xml\" title=\"RSS\" href=\"$script_url/feed/$current_category[path]\">";
			
		}

		include "templates/$template/header.html";

	}
	
	Function error_msg($msg, $description, $link, $duration){
		
		global $template, $word;
		
		$this->create_header();
	
		include "templates/$template/error.html";
		
		exit();
	
	}
	
	Function success_msg($msg, $description, $link, $duration){
		
		global $template, $word;
		
		$this->create_header();
	
		include "templates/$template/success.html";
		
		exit();
	
	}
	
}

