<?php

require_once('classes/simplepie.inc');

// require "classes/xml.php";

$time = time();

//count the articles inserted
$inserts = "0";

// get all of the sources of news from the database
$get_sources = $db->query("SELECT * FROM ".$prefix."sources ORDER BY last_crawled ASC");
while ($source = $db->fetch_array($get_sources)) {
	
	
	
	$feed = new SimplePie($source[url]);

	$feed->handle_content_type();  
	
	foreach ($feed->get_items() as $item)  
	{  
		
		$title = $item->get_title();  
		$link = $item->get_link();
		$description = $item->get_content();
		
		// strip all html
		$description = strip_tags($description);
	
		// format the data to make sure it's all fine
		$title = html_entity_decode($title, ENT_QUOTES, 'UTF-8');
		
		// remove harmful characters
		$bad_chars = array("\t", '<', '>', ':', '"', '/', '\\', '|', '?', '*', ';', ',', '!', '@', '#', '$', '(', ')', '\'', '`', '~', '{', '}', '[', ']', '=', '+', '&', '^');
		$filename = str_replace($bad_chars, '', $title);
		
		$description = html_entity_decode($description, ENT_QUOTES, 'UTF-8');
		
		$title = mysql_real_escape_string($title);
		$description = mysql_real_escape_string($description);
		$link = mysql_real_escape_string($link);	
		
		// if the current source hasn't been crawled before, make all posts with time given in feed
		if (empty($source[last_crawled]) OR ($item->get_date(U) > $time)) {
			
			$updatetime = $item->get_date(U);
			
			echo "test";
			
		}
		
		else {
			
			$type = $source[type];
			$updatetime = $time;
			
		}
		
		// insert data into database
		$update = $db->query("INSERT IGNORE INTO ".$prefix."articles VALUES('', '$source[id]', '$title', '$description', '$link', '$updatetime', '$type', '0', '0', '0')");
		
		
		// update the insert counter if any rows were actually added
		
		$num_updated = $db->affected_rows();
		if ($num_updated) {
			
			// update the inserts counter
			$inserts++;
		
		}
		
	}
	
	// update the last crawled time
	$db->query("UPDATE ".$prefix."sources SET last_crawled='$time' WHERE id='$source[id]'");
	
/*
	
	// first lets see if the file has actually been modified by getting header information and comparing the last modified time stamps
	$modified = "";
	$error = "";
	$remote_file_modified = strtotime(last_mod("$source[url]"));
	
	// if the last time it was modified is greater than the time we last crawled the site then we can go ahead and update
	if ($remote_file_modified > $source[last_crawled] OR empty($remote_file_modified)) {
		
		try{
			// get the file contents of the RSS feed
			$xmlstr = file_get_contents($source[url]);
		}
		catch(Exception $ex)
		{
			$error = "yes";
		}
		
		try{ 
			$library = new SimpleXMLElement($xmlstr);
		}
				
		catch(Exception $ex){ 
			$error = "yes";
		}
				
		if (empty($error)) {	
		
			// store the last updated date in a varible
			// if we update the data, this value will change with the new date
			$feed_last_updated = $source[last_updated];
	
			$feed_last_updated = $xml->processRSS($library, $source); // return the last update time for the update sql
			
			// only update the 'last updated' field if there was an actual last update
			if ($feed_last_updated) {
				
				// update the last crawled time
				$db->query("UPDATE ".$prefix."sources SET last_crawled='$time', last_updated='$feed_last_updated' WHERE id='$source[id]'");

			}
			
			else {
				
				// update the last crawled time
				$db->query("UPDATE ".$prefix."sources SET last_crawled='$time' WHERE id='$source[id]'");
				
			}
		
		}
		
	} // end of if there's an updated version
	
	else {
		
		// anything to say if not updated
		
	}
	
	*/
	
} // end of while statement

// if there have been no inserts, output a message alerting the user
if (empty($inserts)) {
	
	echo "Crawl returned no new entries";
	
}

else {
	
	// else output a message with a summary of the amount of articles crawled
	
	echo "$inserts  new article(s) crawled and added to the database...";
	
}

?>